//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("Demo1Frm.cpp", frmDemo1);
USEFORM("Demo2Frm.cpp", frmDemo2);
USEFORM("Demo3Frm.cpp", frmDemo3);
USEFORM("Demo4Frm.cpp", frmDemo4);
USEFORM("Demo5Frm.cpp", frmDemo5);
USEFORM("Demo6Frm.cpp", frmDemo6);
USEFORM("Demo7Frm.cpp", frmDemo7);
USEFORM("MainFrm.cpp", frmMain);
USEFORM("PopupFrm.cpp", frmPopup);
//---------------------------------------------------------------------------
WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TfrmMain), &frmMain);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
